#!/usr/bin/env ruby

require "numru/gphys"
include NumRu

PI       = 3.141592653589793115997963468544185162

vorfilename = "Vor.nc"

vor2normfilename  = "Vor2Norm.nc"

vor = GPhys::IO.open(vorfilename,'Vor')
lat  = GPhys::IO.open(vorfilename,'lat')
lon_weight  = GPhys::IO.open(vorfilename,'lon_weight')
lat_weight  = GPhys::IO.open(vorfilename,'lat_weight')

vor2norm = vor**2

vor2norm.axis(0).integ_weight=(lon_weight.val)
vor2norm.axis(1).integ_weight=(lat_weight.val)
vor2norm = vor2norm.integrate('lon')
vor2norm = vor2norm.integrate('lat')

vor2norm = vor2norm.sqrt/sqrt(4*PI)
vor2norm.rename('Vor2Norm')
vor2norm.set_att('long_name','Voriticity 2-Norm')
vor2norm.set_att('units','s-1')

#< Output to file >

vor2normfile=NetCDF.create(vor2normfilename)
GPhys::IO.write( vor2normfile, vor2norm )
vor2normfile.close
